/// <reference types="lokijs" />
import { IDatabaseCollectionProvider } from "@js-soft/docdb-access-abstractions";
import { LokiJsCollection } from "./LokiJsCollection";
import { LokiJsMap } from "./LokiJsMap";
export declare class LokiJsCollectionProvider implements IDatabaseCollectionProvider {
    private readonly db;
    private readonly onClosed;
    constructor(db: Loki, onClosed: Function);
    private getLokidbCollection;
    getCollection(name: string): Promise<LokiJsCollection>;
    getMap(name: string): Promise<LokiJsMap>;
    close(): Promise<void>;
}
