/// <reference types="lokijs" />
import { DatabaseType, IDatabaseMap } from "@js-soft/docdb-access-abstractions";
export declare class LokiJsMap implements IDatabaseMap {
    private readonly collection;
    readonly name: string;
    readonly databaseType = DatabaseType.LokiJs;
    private _map;
    constructor(collection: Collection<any>);
    set(name: string, value: any): Promise<void>;
    get(name: string): Promise<any>;
    delete(name: string): Promise<boolean>;
    private initMap;
    find(regex: string): Promise<any[]>;
    list(): Promise<any[]>;
}
