import { IDatabaseConnection } from "@js-soft/docdb-access-abstractions";
import { ILokiJsDatabaseFactory } from "./ILokiJsDatabaseFactory";
import { LokiJsCollectionProvider } from "./LokiJsCollectionProvider";
export declare class LokiJsConnection implements IDatabaseConnection {
    private readonly folder;
    private readonly databaseFactory;
    private readonly providers;
    private static readonly defaultDatabaseFactory;
    constructor(folder: string, databaseFactory?: ILokiJsDatabaseFactory);
    private onCollectionClosed;
    getDatabase(name: string): Promise<LokiJsCollectionProvider>;
    private closeAllProviders;
    close(): Promise<void>;
}
